# HG changeset patch
# User Pradeep Ramachandran <pradeep@multicorewareinc.com>
# Date 1560503428 -19800
#      Fri Jun 14 14:40:28 2019 +0530
# Branch Release_3.1
# Node ID 1ad1c5547f7935cb36bbfe7a8d44b458a9c8b0ac
# Parent  10decf67c0772f80fac41af8cffe8a17722402cc
svt: Fix error for newly added param variables

diff -r 10decf67c077 -r 1ad1c5547f79 source/common/param.cpp
--- a/source/common/param.cpp   Fri Jun 07 18:25:06 2019 +0530
+++ b/source/common/param.cpp   Fri Jun 14 14:40:28 2019 +0530
@@ -2491,6 +2491,11 @@
     svtHevcParam->logicalProcessors = 0;
     svtHevcParam->switchThreadsToRtPriority = 1;
     svtHevcParam->fpsInVps = 0;
+
+    svtHevcParam->tileColumnCount = 1;
+    svtHevcParam->tileRowCount = 1;
+    svtHevcParam->tileSliceMode = 0;
+    svtHevcParam->unrestrictedMotionVector = 1;
 }

 int svt_set_preset_tune(x265_param* param, const char* preset, const char* tune)
diff -r 10decf67c077 -r 1ad1c5547f79 source/encoder/api.cpp
--- a/source/encoder/api.cpp    Fri Jun 07 18:25:06 2019 +0530
+++ b/source/encoder/api.cpp    Fri Jun 14 14:40:28 2019 +0530
@@ -1987,4 +1987,4 @@
 }
 #endif // ifdef SVT_HEVC

-} // end namespace X265_NS
\ No newline at end of file
+} // end namespace X265_NS
